#pragma once

#include "Object.h"
#include <vector>

class Control
{
public:
	static void update();
	static void registerController( Object* o );
	static void detachController( Object* o );
	static void detachAllControllers();

	static std::string getString( int keysym);

	static SDLKey upKey;
	static SDLKey downKey;
	static SDLKey leftKey;
	static SDLKey rightKey;
	static SDLKey shoot1Key;
	static SDLKey shoot2Key;
	static SDLKey altShoot1Key;
	static SDLKey altShoot2Key;
	static SDLKey jumpKey;
	static SDLKey skipKey;
	static SDLKey selectKey;
	static SDLKey menuUpKey;
	static SDLKey menuDownKey;
	static SDLKey quitKey;

private:
	static std::vector< Object* > _controllers;
};
